from django.db import models

class Payment(models.Model):
    SEMESTER_CHOICES = [
		('Harmattan','Harmattan'),
		('Rain', 'Rain')
	]
    session = models.ForeignKey('management.Session', on_delete = models.SET_NULL, blank=True, null=True)
    semester = models.CharField(max_length=9, choices=SEMESTER_CHOICES, blank=True, null=True)
    user = models.ForeignKey('users.Person', null=True, blank=True, on_delete=models.SET_NULL)
    static_level = models.CharField(max_length=20, blank=True, null=True)
    amount_paid = models.DecimalField(max_digits=10, null=True, decimal_places=2)
    created = models.DateTimeField(auto_now_add=True, null=True)
    updated = models.DateTimeField(auto_now=True)
    payment_id = models.CharField(max_length=15, null=True, blank=True)

    def __str__(self):
        return str(self.user)

    class Meta:
        ordering = ('-created',)

class Fee(models.Model):
    serial = models.IntegerField(blank=True, default = 0)
    type = models.CharField(max_length=25, blank=True, null=True)
    amount = models.DecimalField(max_digits=10, default=0.00, null=True, decimal_places=2)
    open = models.BooleanField(max_length=5, default = True)
    created = models.DateTimeField(auto_now_add=True, null=True)
    updated = models.DateTimeField(auto_now=True)

    def __str__(self):
        return str(self.type)

    class Meta:
        ordering = ('serial',)

class Fee100(models.Model):
    serial = models.IntegerField(blank=True, default = 0)
    type = models.CharField(max_length=20, blank=True, null=True)
    amount = models.DecimalField(max_digits=10, default=0.00, null=True, decimal_places=2)
    open = models.BooleanField(max_length=5, default = True)
    created = models.DateTimeField(auto_now_add=True, null=True)
    updated = models.DateTimeField(auto_now=True)

    def __str__(self):
        return str(self.type)

    class Meta:
        ordering = ('serial',)

class FeeRain(models.Model):
    serial = models.IntegerField(blank=True, default = 0)
    type = models.CharField(max_length=20, blank=True, null=True)
    amount = models.DecimalField(max_digits=10, default=0.00, null=True, decimal_places=2)
    open = models.BooleanField(max_length=5, default = True)
    created = models.DateTimeField(auto_now_add=True, null=True)
    updated = models.DateTimeField(auto_now=True)

    def __str__(self):
        return str(self.type)

    class Meta:
        ordering = ('serial',)
